html {
    height: 100%;
}

body {
    font-family: 'IBM Plex Sans', sans-serif;
    background-color: #12394C;
    padding: 0;
    margin: 0;
    height: 100%;
    color: #D4BE4F;
}

body > section {
    margin: 0;
}

* {
    box-sizing: border-box;
}

ul {
    padding: 0;
    list-style: none;
}

h1 {
    color: #D4BE4F;
    font-size: 55px;
    font-weight: bold;
    line-height: 1.1;
    margin: 0;
    text-transform: uppercase;
    margin-bottom: 14px;
}

h2 {
    color: #353540;
    text-transform: uppercase;
    font-size: 24px;
    margin-bottom: 24px;
    text-align: center;
    margin-bottom: 80px;
    margin-top: 40px;
}

@media screen and (max-width: 767px) {
    h2 {
        margin-bottom: 40px;
    }
}

a {
    color: #D4BE4F;
    text-decoration: underline;
    font-weight: bold;
}

section > .content {
    max-width: 1084px;
    width: 100%;
}

@media screen and (max-width: 1024px) {
    section > .content {
        max-width: 768px;
        width: 100%;
    }
}

@media screen and (max-width: 767px) {
    section > .content {
        width: 100%;
    }
}

.header {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
}

.header nav ul {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    padding: 30px 0 0 0;
}

.header nav li {
    margin-left: 32px;
}

.header nav li:first-child {
    flex: 2;
    margin-left: 0;
}

.header nav img {
    width: 40px;
}

.header nav a {
    text-decoration: none;
    font-size: 14px;
    font-weight: normal;
}

@media screen and (max-width: 1024px) {
    .header nav ul {
        padding: 0 30px;
    }
}

@media screen and (max-width: 767px) {
    .header nav ul {
        padding-left: 8%;
        padding-top: 0;
    }

    .header nav li {
        display: none;
    }

    .header nav li:first-child {
        display: block;
    }
}


.hero {
    position: relative;
    background-color: #12394C;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.hero div {
    position: relative;
    padding-right: 600px;
    padding-top: 110px;
    padding-bottom: 410px;
    z-index: 1;
}

.hero div:before {
    content: "";
    position: absolute;
    background-color: #ded8c7;
    width: 100vw;
    height: 100%;
    transform: rotate(30deg);
    z-index: 0;
    right: 67%;
    bottom: -100%;
    transform-origin: top right;
}

.hero div:after {
    content: "";
    position: absolute;
    background-color: #ded8c7;
    width: 100vw;
    height: 100%;
    transform: rotate(331deg);
    z-index: 0;
    left: 358px;
    bottom: -100%;
    transform-origin: top left;
}

.hero img {
    position: absolute;
    width: 550px;
    right: -150px;
    bottom: 82px;
    z-index: 2;
}

.hero p {
    margin-bottom: 40px;
}

.hero .btn {
    display: inline-block;
    color: #fff;
    border-radius: 3px;
    background-color: #D4BE4F;
    padding: 14px 40px;
    text-transform: uppercase;
    text-decoration: none;
}

@media screen and (max-width: 1024px) {
    .hero div {
        position: relative;
        padding-right: 300px;
        padding-left: 40px;
        padding-top: 40px;
        padding-bottom: 310px;
        z-index: 1;
    }

    .hero div:before {
        right: 44%;
    }

    .hero div:after {
        left: 188px;
    }

    .hero img {
        right: -216px;
        bottom: 40px;
    }
}


@media screen and (max-width: 767px) {
    .hero div {
        padding: 20px 8%;
        text-align: center;
    }

    .hero div:before {
        display: none;
    }

    .hero div:after {
        height: 136px;
        transform: initial;
        z-index: 0;
        left: 0;
        bottom: 0;
    }

    .hero h1 {
        font-size: 46px;
    }

    .hero img {
        position: relative;
        width: 300px;
        right: -110px;
        bottom: 0;
    }

}


.main-features {
    background-color: #ded8c7;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 40px;
    z-index: 1;
    position: relative;
}

.main-features ul {
    display: flex;
}

.main-features li:before {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    content: "";
    background-color: #e7e2d3;
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
    z-index: -2;
}

.main-features li:after {
    position: absolute;
    top: 10px;
    left: 10px;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    content: "";
    background-color: #2e2d28;
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
    z-index: -1;
}

.main-features li {
    position: relative;
    background-color: #e7e2d3;
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
    margin-right: 26px;
    min-height: 300px;
    width: 33%;
}

.main-features li:last-child {
    margin-right: 0;
}

.main-features li > div {
    position: relative;
    top: 12px;
    left: 12px;
    width: calc(100% - 24px);
    height: calc(100% - 24px);
    background-color: #e7e2d3;
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
    text-align: center;
    margin: 0;
    padding: 86px 36px 100px 36px;
}

.main-features li > div:after {
    content: "";
    background-image: url(/img/cube-pattern.svg);
    background-size: 200%;
    opacity: 0.8;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;
}

.main-features h3 {
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    color: #353540;
    margin: 0 0 13px 0;
}

.main-features p {
    color: #353540;
    font-size: 13px;
    line-height: 20px;
}

@media screen and (max-width: 1024px) {
    .main-features ul {
        margin-left: 30px;
        margin-right: 30px;
        margin-top: 0;
    }

    .main-features h3 {
        font-size: 12px;
    }

    .main-features p {
        font-size: 9px;
        line-height: 13px;
    }
}

@media screen and (max-width: 767px) {
    .main-features {
        display: none;
    }
}

.about-us {
    position: relative;
    background-color: #ded8c7;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    z-index: 1;
}

.about-us > div {
    align-items: center;
    text-align: center;
    padding-bottom: 430px;
}

.about-us > div > * {
    padding: 0 140px;
}

.about-us > div > h2 {
    margin-bottom: 60px;
}

.about-us p {
    color: #353540;
    font-size: 16px;
    line-height: 1.8;
    margin-bottom: 24px;
}

.about-us:after {
    position: absolute;
    bottom: 0;
    left: 50%;
    height: 500px;
    width: 100%;
    content: "";
    background-image: url(/img/rocket.svg);
    background-position: bottom left;
    background-repeat: no-repeat;
    transform: translate(-980px, 16px);
    z-index: 0;
}

.about-us:before {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 500px;
    width: 100%;
    content: "";
    background-image: url(/img/astronaut.svg);
    background-position: bottom right;
    background-repeat: no-repeat;
    transform: translate(-20px, 150px);
    z-index: 0;
}

@media screen and (max-width: 1024px) {
    .about-us:after {
        transform: translate(-700px, 16px);
    }

    .about-us:before {
        transform: translate(180px, 150px);
    }
}

@media screen and (max-width: 767px) {
    .about-us > div {
        padding-bottom: 200px;
    }

    .about-us > div > * {
         padding: 0 8%;
    }

    .about-us:before {
        right: -50px;
        height: 180px;
        bottom: -25px;
        transform: initial;
    }

    .about-us:after {
        left: -130px;
        height: 200px;
        transform: initial;
    }

}

.top-features {
    background-color: #c0c7ae;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 4;
    position: relative;
}

.top-features:before {
    position: absolute;
    content: "";
    -webkit-mask-image: url(/img/mask-pattern.png);
    mask-image: url(/img/mask-pattern.png);
    background-color: #c0c7ae;
    width: 100%;
    height: 40px;
    top: -40px;
}

.top-features > div {
    align-items: center;
    text-align: center;
    padding-bottom: 120px;
}

.top-features ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-row-gap: 40px;
    grid-column-gap: 100px;
}

.top-features li {
    color: #353540;
    text-align: center;
    font-size: 14px;
}

.top-features img {
    width: 90px;
}

.top-features p {
    line-height: 1.8;
}

@media screen and (max-width: 1024px) {
    .top-features ul {
        grid-column-gap: 30px;
        margin-left: 30px;
        margin-right: 30px;
    }
}

@media screen and (max-width: 767px) {
    .top-features ul {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-row-gap: 5%;
        grid-column-gap: 5%;
        margin-left: 8%;
        margin-right: 8%;
    }
}

.hyperkub-team {
    position: relative;
    background-color: #ded8c7;
    color: #353540;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 60px;
    z-index: 4;
}

.hyperkub-team:before {
    position: absolute;
    content: "";
    -webkit-mask-image: url(/img/mask-pattern.png);
    mask-image: url(/img/mask-pattern.png);
    background-color: #ded8c7;
    width: 100%;
    height: 40px;
    top: -40px;
    z-index: 5;
}

.hyperkub-team h3 {
    font-size: 24px;
    text-align: center;
    font-weight: bold;
}

.hyperkub-team h3 > span {
    display: block;
    font-weight: normal;
    font-size: 18px;
}

.hyperkub-team ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 5%;
    row-gap: 40px;
}

.hyperkub-team li {
    text-align: center;
}

.hyperkub-team p {
    line-height: 1.8;
    font-size: 14px;
}

@media screen and (max-width: 1024px) {
    .hyperkub-team ul {
        grid-template-columns: 1fr 1fr;
        margin-left: 30px;
        margin-right: 30px;
    }
}

@media screen and (max-width: 767px) {
    .hyperkub-team ul {
        grid-template-columns: 1fr;
        margin: 0 8%;
    }
}

body > footer {
    position: relative;
    color: #353540;
    background-color: #d6cab3;
    padding: 30px 0 20px 0;
    font-size: 14px;
    z-index: 1;
}

body > footer > div {
    text-align: center;
}

body > footer p {
    margin: 0 0 10px 0;
    padding-left: 30px;
    padding-right: 30px;
    line-height: 1.8;
}

body > footer a {
    color: #353540;
}

body > footer .social-icons {
    padding: 12px 0 0 0;
}

body > footer .social-icons a {
    display: inline-block;
    margin-left: 12px;
}

body > footer .social-icons img {
    width: 24px;
}

#space .stars {
    overflow: hidden;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
}

.stars {
    background-image:
        radial-gradient(1px 1px at 20px 30px, #eee, rgba(0,0,0,0)),
        radial-gradient(1px 1px at 40px 70px, #fff, rgba(0,0,0,0)),
        radial-gradient(1px 1px at 50px 160px, #ddd, rgba(0,0,0,0)),
        radial-gradient(1px 1px at 90px 40px, #fff, rgba(0,0,0,0)),
        radial-gradient(1px 1px at 130px 80px, #fff, rgba(0,0,0,0)),
        radial-gradient(1px 1px at 160px 120px, #ddd, rgba(0,0,0,0));
    background-repeat: repeat;
    background-size: 200px 200px;
    animation: zoom 10s infinite;
    opacity: 0;
}

.stars:nth-child(1) {
    background-position: 50% 50%;
    animation-delay: 0s;
}

.stars:nth-child(2) {
    background-position: 20% 60%;
    animation-delay: 3s;
}

.stars:nth-child(3) {
    background-position: -20% -30%;
    animation-delay: 5s;
}

.stars:nth-child(4) {
    background-position: 40% -80%;
    animation-delay: 7s;
}

.stars:nth-child(5) {
    background-position: -20% 30%;
    animation-delay: 9s;
}

@keyframes zoom {
    0% {
        opacity: 0;
        transform: scale(0.5);
        animation-timing-function: ease-in;
    }

    85% {
        opacity: 1;
        transform: scale(2.8);
        animation-timing-function: linear;
    }

    100% {
        opacity: 0;
        transform: scale(3.5);
    }
}

.flag-icon {
    width: 28px;
    margin-left: 4px;
    vertical-align: sub;
}
